<div style="width: 100%; margin-top: 10px">
  <div class="landing-page-card">
    <mat-card>
      <div
        fxLayout="column"
        fxLayoutAlign="center center"
        *ngIf="testHasEnd == false"
      >
        {{ this.progressBarValue }}%
        <mat-progress-bar
          mode="determinate"
          [value]="progressBarValue"
        ></mat-progress-bar>
      </div>

      <div
        fxLayout="column"
        fxLayoutAlign="center center"
        *ngIf="testHasEnd == true"
      >
        <div style="font-size: 25px; padding: 25px">
          You are an {{ personalitytestResult }}
        </div>
        <div style="font-size: 15px; padding: 25px">
          {{ personalitytestResultDescription }}
        </div>
        <app-radar-chart></app-radar-chart>

        <div fxLayout="row" fxLayoutAlign="center center">
          <button
            mat-flat-button
            color="primary"
            (click)="restartTest()"
          >
            Restart the test
          </button>
        </div>
      </div>

      <div *ngIf="testHasEnd == false">
        <div
          style="word-wrap: break-word; padding: 20px"
          fxLayout="column"
          fxLayoutAlign="start start"
          *ngIf="personalityTest"
        >
          <div>
            <h1>
              {{ currentQuestion + 1 }}.
              {{ personalityTest.Questions[currentQuestion].Description }}
            </h1>
          </div>

          <div>
            <mat-radio-group
              aria-labelledby="example-radio-group-label"
              class="example-radio-group"
              [(ngModel)]="personalityTest.Questions[currentQuestion].Selected"
            >
              <div
                *ngFor="
                  let answer of personalityTest.Questions[currentQuestion]
                    .Answers
                "
              >
                <mat-radio-button
                  fxLayout="column"
                  [id]="currentQuestion + ' ' + answer.Grade"
                  fxLayoutAlign="center center"
                  class="example-radio-button"
                  style="margin-top: 10px"
                  [value]="answer.Grade"
                >
                  {{ answer.Description }}
                </mat-radio-button>
              </div>
            </mat-radio-group>
          </div>
        </div>

        <div *ngIf="personalityTest" fxLayout="row" fxLayoutAlign="end end">
          <button
            class="m-5"
            *ngIf="currentQuestion > 0"
            mat-flat-button
            color="primary"
            (click)="navigateToQuestion(currentQuestion - 1)"
          >
            Back
          </button>

          <button
            class="m-5"
            [disabled]="
              personalityTest.Questions[currentQuestion].Selected == 0
            "
            *ngIf="currentQuestion < personalityTest.Questions.length - 1"
            mat-flat-button
            color="primary"
            (click)="navigateToQuestion(currentQuestion + 1)"
          >
            Next
          </button>
          <button
            [disabled]="
              personalityTest.Questions[currentQuestion].Selected == 0
            "
            class="m-5"
            mat-flat-button
            color="primary"
            (click)="navigateToQuestion(-1)"
          >
            Finish
          </button>
        </div>
      </div>

      <div fxLayout="row" fxLayoutAlign="center center">
        <mat-spinner *ngIf="personalityTest == null"></mat-spinner>
      </div>
    </mat-card>
  </div>
</div>
